window.uswdsPresent = true;

const initComponents = () => {
  if (typeof window.uswdsComponents !== "undefined") {
    window.uswdsComponents.forEach((component) => {
      component.on(document.body);
    })
    console.log("Initialized " + window.uswdsComponents.length + " USWDS components");
  }
  else {
    console.log("No USWDS components defined");
  }
};
if (document.readyState === "loading") {
  document.addEventListener("DOMContentLoaded", initComponents, { once: true });
} else {
  initComponents();
}
