import behavior from "utils/behavior";
import toggleFormInput from "utils/toggle-form-input";

const CLICK = "click";
const PREFIX = "usa";

const LINK = `.${PREFIX}-show-password`;

function toggle(event) {
  event.preventDefault();
  toggleFormInput(this);
}

const password = behavior({
  [CLICK]: {
    [LINK]: toggle,
  },
});
export default password;
window.uswdsComponents = window.uswdsComponents || [];
window.uswdsComponents.push(password);
