/* eslint-disable no-var */
(function uswdsInit() {
  "use strict";

  const loadingClass = "usa-js-loading";

  document.documentElement.classList.add(loadingClass);
  const revertClass = () => document.documentElement.classList.remove(loadingClass);
  const fallback = setTimeout(revertClass, 8000);

  const verifyLoaded = () => {
    if (window.uswdsPresent) {
      clearTimeout(fallback);
      revertClass();
      window.removeEventListener("load", verifyLoaded, true);
    }
  }

  window.addEventListener("load", verifyLoaded, true);
})();
